Bug 1729577 - Rename PyQt4(-webkit) to python2-PyQt4(-webkit)
Summary: Rename PyQt4(-webkit) to python2-PyQt4(-webkit)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQt4
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHONIS3
TreeView+ depends on / blocked
 
Reported: 2019-07-12 17:22 UTC by Miro Hrončok
Modified: 2019-11-15 21:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-15 21:51:06 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-12 17:22:40 UTC
Hello, in line with https://fedoraproject.org/wiki/Changes/Python_means_Python3 we'd like the "unversioned" names to not be provided by python2 packages.

PyQt4 is one of the last packages thet doesn't follow the current Python naming guidelines: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_naming

Let me know if you'd liek me to do it.

Thanks.

Comment 1 Ben Cotton 2019-08-13 17:10:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:02:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Rex Dieter 2019-10-30 20:26:21 UTC
Feel free to help implement this.

I'll get to it as time allows, but was honestly hoping to be able to retire python2 support here, but there appears to be non-trivial number of packages still depending on it:

gnuradio-0:3.7.13.5-8.fc32.x86_64
gr-air-modes-0:0-0.68.20160831git3bad1f5d.fc31.x86_64
hgview-0:1.12.0-1.fc32.noarch
tuxcut-0:5.1-11.fc31.noarch

Comment 4 Miro Hrončok 2019-10-30 22:24:33 UTC
The idea was to do this for Fedora 31 (too late) and retire in Fedora 32. At this point, we should probably leave F31 be and just retire.

If none of the consumers request an exception from FESCo for their package and this package, you will be able to retire the Python 2 support in couple weeks.

If they do, they should coordinate with you. And at this point, it is IMHO perfectly fine to say: "Package your own Python 2 package with this, but leave me out of it."

Comment 5 Rex Dieter 2019-11-15 21:51:06 UTC
OK, dropping python2 support for f32+ now


Note You need to log in before you can comment on or make changes to this bug.